<template>
   <j-modal
      :width="width"
      :visible="duiBi"
      @cancel="handleGb">
      
      <contrast-graph ref="xushiDuibi"></contrast-graph>

      <template slot="footer">
        <a-button @click="handleGb">关闭</a-button>
      </template>
    </j-modal>
</template>

<script>
import contrastGraph from './contrastGraph.vue';

  export default {
  components: { contrastGraph },
    name: 'ContrastModal',
    data () {
      return {
        title:'',
        width:1100,
        duiBi: false,
      }
    },
    methods: {
      open(record) {
        this.duiBi = true;
        this.$nextTick(()=>{
          this.$refs.xushiDuibi.getList(record);
        })
      },
      close () {
        this.$emit('close');
        this.duiBi = false;
      },
      handleGb () {
        this.close()
      }
    }
  }
</script>